import { HcApi } from '../../../../request/index'

//  项目支付项
export default {
    //系统中期支付项列表(ype=0（未被引用），type=1（已引用），type=空（全部）)
   async getSyslist(form, msg = true) {
    return HcApi({
        url: '/api/blade-meter/mid/pay/item/system/list',
            method: 'post',
            params: form,
        }, msg)
   },
    //项目中期支付项引用系统级数据
    async referenced(form, msg = true) {
        return HcApi({
            url: '/api/blade-meter/mid/pay/item/project/referenced',
            method: 'post',
            params: form,
        }, msg)
     },
         //项目中期支付项分页
    async getProListPage(form, msg = true) {
        return HcApi({
            url: '/api/blade-meter/mid/pay/item/project/page',
            method: 'post',
            data: form,
        }, msg)
     },
     //项目中期支付项详情
    async getProDetail(form, msg = true) {
        return HcApi({
            url: '/api//blade-meter/mid/pay/item/project/detail',
            method: 'get',
            params: form,
        }, msg)
    },
    //项目中期支付项修改
    async updateProList(form, msg = true) {
        return HcApi({
            url: '/api/blade-meter/mid/pay/item/project/update',
            method: 'post',
            data: form,
        }, msg)
     },
     //项目中期支付项删除
    async removeProList(form, msg = true) {
        return HcApi({
            url: '/api/blade-meter/mid/pay/item/project/remove',
            method: 'get',
            params: form,
        }, msg)
    },
    //项目中期支付项列表
    async getProPayList(form, msg = true) {
        return HcApi({
                url: '/api/blade-meter/mid/pay/item/project/list',
                method: 'post',
                params: form,
            }, msg)
    },
     //中期支付项添加汇总项
     async addCollect(form, msg = true) {
        return HcApi({
                url: '/api/blade-meter/mid/pay/item/bind/submit',
                method: 'post',
                params: form,
            }, msg)
    },
    //中期支付项删除汇总项
    async removeCollect(form, msg = true) {
        return HcApi({
                url: '/api/blade-meter/mid/pay/item/bind/remove',
                method: 'post',
                params: form,
            }, msg)
    },
        
}